
# Fedora review: http://bugzilla.redhat.com/190189

Summary: Python bindings for Qt4
Name: 	 PyQt4
Version: 4.2
Release: 1%{?dist}

License: GPL
Group: 	 Development/Languages
Url: 	 http://www.riverbankcomputing.co.uk/pyqt/
Source0: http://www.riverbankcomputing.com/Downloads/PyQt4/GPL/PyQt-x11-gpl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:  PyQt-x11-gpl-4.1.1-qconfig_h.patch

BuildRequires: qt4-devel 

BuildRequires: python-devel >= 2.3
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
## python >=2.4 automatically uses python(abi)
%if "%{?python_ver}" > "1" && "%{?python_ver}" < "2.4"
Requires: python-abi = %{python_ver}
%endif

BuildRequires: sip-devel >= 4.6
%global sip_ver %(sip -V 2>/dev/null | cut -d' ' -f1)
%if "%{?sip_ver}" > "3"
# To be paranoid, could change >= to = -- Rex
Requires: sip >= %{sip_ver}
%endif

%description
These are Python bindings for Qt4.

%package devel
Summary: Files needed to build other bindings based on Qt4
Group:	 Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).


%prep
%setup -q -n PyQt-x11-gpl-%{version}

## hack to find proper multilib'd qconfig.h
if [ -f %{_qt4_headerdir}/QtCore/qconfig-%{_arch}.h ]; then
%patch1 -p1 -b .qconfig_h
sed -i -e "s|@@QCONFIG_H@@|qconfig-%{_arch}.h|g" configure.py
fi


%build

#QT4DIR="$(pkg-config --variable=prefix QtCore || echo %{_libdir}/qt4)"
QT4DIR=%{_qt4_prefix}
PATH=$QT4DIR/bin:$PATH ; export PATH
# configure.py isn't smart enough to either use qmake or QMAKEPATH
export QMAKESPEC=$QT4DIR/mkspecs/linux-g++
%if "%{_lib}" == "lib64"
export QMAKESPEC=$QT4DIR/mkspecs/linux-g++-64
%endif

echo yes | %{__python} configure.py -w

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README
%{_bindir}/*
%{python_sitelib}/PyQt4/

%files devel
%defattr(-,root,root,-)
%doc doc/*
%doc examples/
%{_datadir}/sip/PyQt4/


%changelog
* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2-1
- PyQt4-4.2

* Wed Feb 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.1.1-2
- fix build against multilib'd qt4

* Mon Dec 11 2006 Rex Dieter <rexdieter[AT]usres.sf.net> 4.1.1-1
- PyQt4-4.1.1
- BR: sip-devel >= 4.5.1

* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1-1
- PyQt4-4.1

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-4
- don't own %%_datadir/sip (bug #206633)

* Mon Aug 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-3
- BR: qt4-devel < 4.2

* Sat Jul 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-2
- fix reference(s) to qmake(4)

* Sun Jul 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-1
- PyQt-4.0.1

* Mon Jun 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-1
- PyQt-4.0(final)
- BR: sip-devel >= 4.4.4 (see bug #199430)

* Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.6.beta1
- drop BR: qt4-MySQL qt4-ODBC qt4-PostgreSQL
- drop usage of (undefined) %%sip_min

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.5.beta1
- cleanup for Extras

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.4.beta1
- 4.0beta1

* Thu Apr 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.3.20060421 
- respin for sip-4.4.3
- use sip-abi, sip-abi-min

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.2.20060421
- 20060421 snapshot

* Wed Apr 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.0-0.1.20060417
- first try, using 20060417 snapshot

